commit: 0db3652af01e50d7fd89aae855ff4765db399c9f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 10 01:15:43 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 10 01:28:29 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0db3652a
dev-python/propcache: Bump to 0.3.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/propcache/Manifest | 1 +
dev-python/propcache/propcache-0.3.2.ebuild | 54 +++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-python/propcache/Manifest b/dev-python/propcache/Manifest
index a9c5f99e6779..956ba589e051 100644
--- a/dev-python/propcache/Manifest
+++ b/dev-python/propcache/Manifest
@@ -1 +1,2 @@
DIST propcache-0.3.1.tar.gz 43651 BLAKE2B
dbbd70f29c3b4d7ed9a976e0dde766f7ecc0b4e50f90d0d83c60c8633ebadd25dae8e01ce2cd0f8c00d0fae67a35316bc165f5c6e116cbbe290e2371d1e79f47
SHA512
c109678adc26193d972906d923abbfe7ddeb02829fa3adb82d28988b56497a9e8126ce7186f1b0414ca6e6aba6baaddadcefdf19f7e24fbe5831e2f8da06473e
+DIST propcache-0.3.2.tar.gz 44139 BLAKE2B
ace9070dbfceb08fcef26f01f9aab291982a3f99f1f035fb113d539a613eeeb2b69b36b197c21d733b0a4b5d73cc22180aa6aca9f3a220dbd3cd471dc57d0ee4
SHA512
d85a89dd1d34936578eb05a869e0ec07679d477c716aa047bbda00688a2926fd8a1f712c9ddec3de38faa49762941120df12ebe88dc36278f20d84ee796b91fe
diff --git a/dev-python/propcache/propcache-0.3.2.ebuild
b/dev-python/propcache/propcache-0.3.2.ebuild
new file mode 100644
index 000000000000..28ec0858ce38
--- /dev/null
+++ b/dev-python/propcache/propcache-0.3.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{11..14} python3_{13,14}t pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Yet another URL library"
+HOMEPAGE="
+ https://github.com/aio-libs/propcache/
+ https://pypi.org/project/propcache/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+ dev-python/expandvars[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ local -x PROPCACHE_NO_EXTENSIONS=0
+ if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+ PROPCACHE_NO_EXTENSIONS=1
+ fi
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_benchmarks.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local opts=()
+ if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+ opts+=( --no-c-extensions )
+ fi
+
+ rm -rf propcache || die
+ epytest -o addopts= "${opts[@]}"
+}